Interface Technology Basics VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- k
- l

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups

### - k -

- kCategorySize : PClassInfo
- kChanged : IDependent
- kCLASS_UID : FUID
- kClassesDiscardable : PFactoryInfo
- kComponentNonDiscardable : PFactoryInfo
- kDECLARE_UID : FUID
- kDestroyed : IDependent
- kEmailSize : PFactoryInfo
- kEmpty : FVariant
- kFloat : FVariant
- kFUID : FUID
- kIBSeekCur : IBStream
- kIBSeekEnd : IBStream
- kIBSeekSet : IBStream
- kINLINE_UID : FUID
- kInteger : FVariant
- kLicenseCheck : PFactoryInfo
- kManyInstances : PClassInfo
- kNameSize : PFactoryInfo , PClassInfo
- kNoFlags : PFactoryInfo
- kObject : FVariant
- kOwner : FVariant
- kStdChangeMessageLast : IDependent
- kString16 : FVariant
- kString8 : FVariant
- kSubCategoriesSize : PClassInfo2 , PClassInfoW
- kUnicode : PFactoryInfo
- kURLSize : PFactoryInfo
- kVendorSize : PClassInfoW , PClassInfo2
- kVersionSize : PClassInfoW , PClassInfo2
- kWillChange : IDependent
- kWillDestroy : IDependent

### - l -

- l1_1 : UID< t1, t2, t3, t4 >
- l1_2 : UID< t1, t2, t3, t4 >
- l1_3 : UID< t1, t2, t3, t4 >
- l1_4 : UID< t1, t2, t3, t4 >
- l2_1 : UID< t1, t2, t3, t4 >
- l2_2 : UID< t1, t2, t3, t4 >
- l2_3 : UID< t1, t2, t3, t4 >
- l2_4 : UID< t1, t2, t3, t4 >
- l3_1 : UID< t1, t2, t3, t4 >
- l3_2 : UID< t1, t2, t3, t4 >
- l3_3 : UID< t1, t2, t3, t4 >
- l3_4 : UID< t1, t2, t3, t4 >
- l4_1 : UID< t1, t2, t3, t4 >
- l4_2 : UID< t1, t2, t3, t4 >
- l4_3 : UID< t1, t2, t3, t4 >
- l4_4 : UID< t1, t2, t3, t4 >

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.